Skip to main content
GET
/
v1
/
stock
/
congressional-trading
Congressional Trading
curl --request GET \
  --url https://api.aries.com/v1/stock/congressional-trading \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amountFrom": 100001,
      "amountTo": 250000,
      "assetName": "Oppenheimer SteelPath MLP Select 40 Y (NASDAQ)",
      "filingDate": "2015-05-14",
      "name": "Lamar Alexander",
      "ownerType": "Spouse",
      "position": "senator",
      "symbol": "MLPTX",
      "transactionDate": "2014-04-04",
      "transactionType": "Purchase"
    },
    {
      "amountFrom": 1001,
      "amountTo": 15000,
      "assetName": "Oppenheimer SteelPath MLP Select 40 Y (NASDAQ)",
      "filingDate": "2015-05-14",
      "name": "Lamar Alexander",
      "ownerType": "Spouse",
      "position": "senator",
      "symbol": "MLPTX",
      "transactionDate": "2014-02-07",
      "transactionType": "Purchase"
    }
  ],
  "symbol": "MLPTX"
}

Query parameters

ParameterTypeRequiredDescription
symbolstringYesStock ticker symbol (e.g. AAPL).
fromstringYesFrom date YYYY-MM-DD.
tostringYesTo date YYYY-MM-DD.

Response

Success returns 200 OK with a JSON object containing a data array of trading disclosures (e.g. name, position, symbol, transactionType, transactionDate, amountFrom, amountTo, assetName, ownerType), and symbol. Errors: 400 when symbol or dates are missing, 401 unauthorized, 404 when no data found, 500 server error.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

symbol
string
required

Stock ticker symbol

from
string<date>
required

From date YYYY-MM-DD

to
string<date>
required

To date YYYY-MM-DD

Response

Successful response

data
object[]
symbol
string